Bug 1499284 - dnf crashes with CalledProcessError during upgrade F26->F27
Summary: dnf crashes with CalledProcessError during upgrade F26->F27
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-06 15:33 UTC by Ondřej Lysoněk
Modified: 2017-12-10 05:05 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-28 16:25:21 UTC


Attachments (Terms of Use)
truncated log (2.38 KB, text/plain)
2017-10-06 15:33 UTC, Ondřej Lysoněk
no flags Details

Description Ondřej Lysoněk 2017-10-06 15:33:09 UTC
Created attachment 1335361 [details]
truncated log

Description of problem:
At the end of the upgrade from F26 to F27, dnf crashed with subprocess.CalledProcessError. See the traceback in the attachment. I guess that dnf doesn't handle SIGTERM, so there is a race between it terminating, and systemd sending SIGTERM to it.

Version-Release number of selected component (if applicable):
Before upgrade:
dnf.noarch 2.7.2-1.fc26
python3-dnf-plugin-system-upgrade.noarch 2.0.3-1.fc26
After upgrade:
dnf.noarch 2.7.2-1.fc27
python3-dnf-plugin-system-upgrade.noarch 2.0.3-1.fc27

Comment 1 Jaroslav Mracek 2017-10-13 15:46:58 UTC
I created a patch (https://github.com/rpm-software-management/dnf-plugins-extras/pull/109) that should fix the issue.

Comment 2 Fedora Update System 2017-11-23 11:30:17 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0da8237a59

Comment 3 Fedora Update System 2017-11-23 11:30:37 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb8295779d

Comment 4 Fedora Update System 2017-11-25 00:36:07 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb8295779d

Comment 5 Fedora Update System 2017-11-25 01:34:58 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0da8237a59

Comment 6 Fedora Update System 2017-11-28 16:25:21 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-12-10 05:05:04 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.